This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 716657 - [abrt] yum-utils-1.1.30-2.fc15: rpmsack.py:1757:_write:IOError: [Errno 13] Permission denied: '/var/lib/yum/yumdb/C/cac181ee9491b3e1453b709b7ec28397cb9c686c-ConsoleKit-0.4.5-1.fc15-x86_64/changed_by.tmp'
[abrt] yum-utils-1.1.30-2.fc15: rpmsack.py:1757:_write:IOError: [Errno 13] Pe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:1aa9d5fa3e2468cf01b499e28e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-26 01:15 EDT by DiEOrLivE
Modified: 2014-01-21 18:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description DiEOrLivE 2011-06-26 01:15:48 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python -tt /usr/sbin/yumdb sync
comment:        i dont know..
component:      yum-utils
executable:     /usr/sbin/yumdb
global_uuid:    1aa9d5fa3e2468cf01b499e28e4b8f3c28dac827
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        yum-utils-1.1.30-2.fc15
reason:         rpmsack.py:1757:_write:IOError: [Errno 13] Permission denied: '/var/lib/yum/yumdb/C/cac181ee9491b3e1453b709b7ec28397cb9c686c-ConsoleKit-0.4.5-1.fc15-x86_64/changed_by.tmp'
time:           Thu Jun 16 12:12:54 2011
uid:            500
username:       fedora

backtrace:
:rpmsack.py:1757:_write:IOError: [Errno 13] Permission denied: '/var/lib/yum/yumdb/C/cac181ee9491b3e1453b709b7ec28397cb9c686c-ConsoleKit-0.4.5-1.fc15-x86_64/changed_by.tmp'
:
:Traceback (most recent call last):
:  File "/usr/sbin/yumdb", line 224, in <module>
:    main()
:  File "/usr/sbin/yumdb", line 220, in main
:    run_cmd(yb, args)
:  File "/usr/sbin/yumdb", line 181, in run_cmd
:    setattr(pkg.yumdb_info, ykey, ndata[ykey])
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1820, in __setattr__
:    self._write(attr, value)
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1757, in _write
:    fo = open(fn + '.tmp', 'w')
:IOError: [Errno 13] Permission denied: '/var/lib/yum/yumdb/C/cac181ee9491b3e1453b709b7ec28397cb9c686c-ConsoleKit-0.4.5-1.fc15-x86_64/changed_by.tmp'
:
:Local variables in innermost frame:
:self: <yum.rpmsack.RPMDBAdditionalDataPackage object at 0x2ee1c50>
:value: '500'
:fn: '/var/lib/yum/yumdb/C/cac181ee9491b3e1453b709b7ec28397cb9c686c-ConsoleKit-0.4.5-1.fc15-x86_64/changed_by'
:attr: 'changed_by'
Comment 1 James Antill 2011-06-27 14:32:53 EDT
What does:

 ls -l /var/lib/yum/yumdb/C

..show?
Comment 2 James Antill 2011-06-27 14:33:33 EDT
Oh, n/m, I thought this was from yum. I'm now assuming you ran this as none root?
Comment 3 DiEOrLivE 2011-06-27 14:51:40 EDT
Sorry, i dont know why i get this on abrt..

$ ls -l /var/lib/yum/yumdb/C
total 12
drwxrwxr-x. 2 root root 4096 16 jun 12:13 0558d4a4c73a3753ecc25179e08f077590a12254-ConsoleKit-libs-0.4.5-1.fc15-x86_64
drwxrwxr-x. 2 root root 4096 16 jun 12:13 cac181ee9491b3e1453b709b7ec28397cb9c686c-ConsoleKit-0.4.5-1.fc15-x86_64
drwxrwxr-x. 2 root root 4096 16 jun 12:13 dca0d7f1de6f10f0ae6b605568602a991041890c-ConsoleKit-x11-0.4.5-1.fc15-x86_64
Comment 4 Fedora End Of Life 2012-08-07 14:36:39 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.